Skip Menu |
 

This queue is for tickets about the Class-Roles CPAN distribution.

Report information
The Basics
Id: 102367
Status: open
Priority: 0/
Queue: Class-Roles

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.30
Fixed in: (no value)



Subject: Bundled Makefile.PL does not work
Download (untitled) / with headers
text/plain 714b
If running Makefile.PL instead of Build.PL then the following error happens: Output from '/usr/perl5.18.1t/bin/perl5.18.1 Makefile.PL': # running Build.PL Encountered CODE ref, using dummy placeholder at /usr/perl5.18.1t/lib/5.18.1/amd64-freebsd-thread-multi/Data/Dumper.pm line 222. Created MYMETA.yml and MYMETA.json Creating new 'Build' script for 'Class-Roles' version '0.30' Unknown 'build_class', defaulting to 'Module::Build' A prereq of the form '' for 'Test::Exception' is not supported by Module::Build::Compat ( use a simpler version like '0.05' or 'v1.4.25' ) ... and the installation fails. The Data::Dumper warning may appear or not (depending on perl version) and is probably not relevant here.
Download (untitled) / with headers
text/plain 200b
Using Module::Build::Compat is usually a bad idea. If ExtUtils::MakeMaker is sufficient to install the distribution, it's better to just use that, and reserve Module::Build for the thorny edge cases.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.